Apache JMeter

## org.apache.jmeter.report.writers
Interface PageSummary

All Superinterfaces:
  Cloneable

All Known Implementing Classes:
  DefaultPageSummary

    public interface PageSummary

extends Cloneable

PageSummary defines the summary of a report page and the runtime information for debugging and logging purposes. It's a good idea to return summary so that automated process can start the report and a summary of how the reports ran.

Method Summary
`long` `getElapsedTime()`
`long` `getEndTimeStamp()`
`String` `getFileName()`
`String` `getPageTitle()`
`long` `getStartTimeStamp()`
`boolean` `isSuccessful()`
`void` `pageEnded()`
`void` `pageStarted()`
`void` `setFileName(String file)`
`void` `setPageTitle(String title)`
`void` `setSuccessful(boolean success)`

Method Detail

### getElapsedTime

    long getElapsedTime()

### getEndTimeStamp

    long getEndTimeStamp()

### getFileName

    String getFileName()

### getPageTitle

    String getPageTitle()

### getStartTimeStamp

    long getStartTimeStamp()

### isSuccessful

    boolean isSuccessful()

### pageStarted

    void pageStarted()

### pageEnded

    void pageEnded()

### setFileName

    void setFileName(String file)

### setPageTitle

    void setPageTitle(String title)

### setSuccessful

    void setSuccessful(boolean success)

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.